INTERFACE
SUBROUTINE CUCALLNAD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDLAND,&
 & PTSPHY,&
 & PTM15, PQM15, PUM15, PVM15, PLITOT5,&
 & PVERVEL5, PQHFL5, PAHFS5,&
 & PAP5, PAPH5, PGEO5, PGEOH5,&
 & PTENT5, PTENQ5, PTENU5, PTENV5,&
 & KTYPE,&
 & KCBOT, KCTOP, KBOTSC, LDCUM, LDSC,&
 & PLU5, PLUDE5, PMFU5, PMFD5,&
 & PFPLCL5, PFPLCN5,&
 & KTRAC, PCM15, PTENC5, PSCAV5,&
 & PTM1, PQM1, PUM1, PVM1,&
 & PVERVEL, PQHFL, PAHFS,&
 & PAP, PAPH, PGEO, PGEOH,&
 & PTENT, PTENQ, PTENU, PTENV,&
 & PLU, PLUDE, PMFU, PMFD,&
 & PCM1, PTENC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTRAC
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVM15(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCM15(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(IN) :: PLITOT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVERVEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENV5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSCAV5(KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC5(KLON,KLEV,KTRAC)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFPLCN5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVM1(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCM1(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVERVEL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEO(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGEOH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENC(KLON,KLEV,KTRAC)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLUDE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD(KLON,KLEV)
END SUBROUTINE CUCALLNAD
END INTERFACE
